	implicit real*8(a-h,j,l,o-z)  
c: Apertura files
		open(1,file='dati.in',status='old')
		open(2,file='dati.out',status='new')
c: Lettura dati iniziali:
	read(1,*,err=1,end=1) cxmin,cxmax,cymin,cymax,ndiv,numit
c: definizione delle variabili importanti, dall'incremento step nella 
c: parte reale ed immaginaria di c al numero massimo degli 
c: incrementi
	cxstep = (cxmax - cxmin)/ndiv 
	cystep = (cymax - cymin)/ndiv 
	ncxstep = ndiv
	ncystep = ndiv
c: cominciamo i cicli su parte reale ed immaginaria di c
	do ncy=0,ncystep
	do ncx=0,ncxstep
c: definiamo i valori iniziali di creale e cimmaginaria
		cxin=cxmin+ncx*cxstep
		cyin=cymin+ncy*cystep
c: il punto iniziale e' l'origine (per Mandelbrot)
		x=0
		y=0
c: il quadrato del raggio di non ritorno
		r=cxin*cxin + cyin*cyin + 2d0
		iter=0
c: comincia il ciclo while, controlla che la norma della
c: iterata non sia maggiore di r e che l'iteratore iter non
c: sia maggiore del numero massimo di iterazioni
		do while ((x*x+y*y).lt.r.and.(iter.le.numit)) 
 			xp=x*x - y*y + cxin
			y = 2.d0*x*y + cyin
			x=xp
			iter=iter+1
 		end do
 2	continue
	write(2,*) iter
	end do
	end do
 1	end

